高德地图SDK(导航) V11.2.0501

Loading...
Searching...
No Matches
Properties | List of all members
AMapNaviInfo Class Reference

`#include <AMapNaviInfo.h>`

Inheritance diagram for AMapNaviInfo:

## Properties
AMapNaviMode | naviMode
AMapNaviIconType | iconType
UIImage * | iconImage
NSString * | currentRoadName
NSString * | nextRoadName
NSInteger | routeRemainDistance
NSInteger | routeRemainTime
NSInteger | currentSegmentIndex
NSInteger | segmentRemainDistance
NSInteger | segmentRemainTime
NSInteger | currentLinkIndex
NSInteger | currentPointIndex
NSInteger | routeDriveDistance
NSInteger | routeDriveTime
AMapNaviNotAvoidFacilityAndForbiddenInfo * | notAvoidInfo
NSInteger | routeRemainTrafficLightCount
NSArray< AMapNaviToWayPointInfo * > * | toWayPointInfos
AMapNaviExitBoardInfo * | exitBoardInfo
NSInteger | travelRealPathLength
NSInteger | travelDrivedRealLength

## Detailed Description

导航过程中的导航信息 Navigation information during navigation

## Property Documentation

## ◆ currentLinkIndex

- (NSInteger) currentLinkIndex
| read write nonatomic assign

当前所在的link段的index,从0开始 The index of the current link segment, starting from 0

## ◆ currentPointIndex

- (NSInteger) currentPointIndex
| read write nonatomic assign

当前自车位置在当前link段所在的point的index,从0开始 since 6.0.0 The index of the current vehicle position in the current link segment, starting from 0

## ◆ currentRoadName

- (NSString*) currentRoadName
| read write nonatomic strong

当前道路名称 Current road name

## ◆ currentSegmentIndex

- (NSInteger) currentSegmentIndex
| read write nonatomic assign

当前所在的segment段的index,从0开始 Current segment index, starting from 0

## ◆ exitBoardInfo

- (AMapNaviExitBoardInfo*) exitBoardInfo
| read write nonatomic strong

当前自车所在的高速或城市快速路的出口路牌信息. 注意:只针对驾车. since 6.8.0 Exit sign information of the highway or urban expressway where the current vehicle is located. Note: Only for driving.

## ◆ iconImage

- (UIImage*) iconImage
| read write nonatomic strong

导航段转向图标 since 11.0.030 Navigation segment turn icon

## ◆ iconType

- (AMapNaviIconType) iconType
| read write nonatomic assign

导航段转向图标类型 Navigation segment turn icon type

## ◆ naviMode

- (AMapNaviMode) naviMode
| read write nonatomic assign

导航信息更新类型 Navigation information update type

## ◆ nextRoadName

- (NSString*) nextRoadName
| read write nonatomic strong

下条道路名称 Next road name

## ◆ notAvoidInfo

- (AMapNaviNotAvoidFacilityAndForbiddenInfo*) notAvoidInfo
| read write nonatomic strong

没有避开的设施、禁行标志等信息, 如限高. 注意:只针对驾车. since 6.0.0 Facilities and prohibitory signs not avoided, such as height restrictions. Note: Only for driving.

## ◆ routeDriveDistance

- (NSInteger) routeDriveDistance
| read write nonatomic assign

已经行驶的里程(单位:米). 注意:只在驾车的实时导航下才有效. since 6.0.0 The distance traveled (in meters). Note: Only valid in real-time driving navigation.

## ◆ routeDriveTime

- (NSInteger) routeDriveTime
| read write nonatomic assign

已经行驶的用时,包括中途停车时间在内(单位:秒). 注意:只在驾车的实时导航下才有效. since 6.0.0 Elapsed travel time, including intermediate stops (unit: seconds). Note: Only valid in real-time driving navigation.

## ◆ routeRemainDistance

- (NSInteger) routeRemainDistance
| read write nonatomic assign

离终点剩余距离(单位:米) Remaining distance to destination (unit: meters)

## ◆ routeRemainTime

- (NSInteger) routeRemainTime
| read write nonatomic assign

离终点预估剩余时间(单位:秒) Estimated remaining time to destination (in seconds)

## ◆ routeRemainTrafficLightCount

- (NSInteger) routeRemainTrafficLightCount
| read write nonatomic assign

当前路径剩余的红绿灯数量. 注意:只针对驾车. since 6.3.0 Number of remaining traffic lights on the current route. Note: Only for driving.

## ◆ segmentRemainDistance

- (NSInteger) segmentRemainDistance
| read write nonatomic assign

当前路段剩余距离(单位:米) Remaining distance of current segment (in meters)

## ◆ segmentRemainTime

- (NSInteger) segmentRemainTime
| read write nonatomic assign

当前路段预估剩余时间(单位:秒) Estimated remaining time of current segment (in seconds)

## ◆ toWayPointInfos

- (NSArray<AMapNaviToWayPointInfo *>*) toWayPointInfos
| read write nonatomic strong

当前自车位置到各途经点的信息. 注意:只针对驾车. since 6.7.0 Information about the current vehicle position to each waypoint. Note: Only for driving.

## ◆ travelDrivedRealLength

- (NSInteger) travelDrivedRealLength
| read write nonatomic assign

## ◆ travelRealPathLength

- (NSInteger) travelRealPathLength
| read write nonatomic assign

The documentation for this class was generated from the following file:

- AMapNaviInfo.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。